<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once ("lib-action/action.php");

class ShowAdmins extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton("new-admin", blmsg("TRANS_ADD_ADMIN"), action_url("admins", "AddAdmin")));
		$tools_panel->addButton(UIFactory()->ToolButton("manage-admin-groups", blmsg("TRANS_MANAGE_ADMIN_GROUPS"), action_url("admins", "ShowAdminGroups")));

		$page = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_ADMINS");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = action_url("configs", "ShowConfigs");

		require_once("UI/List/UIAdminList.php");
		$page->addListPanel(new UIAdminList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
