<?php
require_once("lib-action/action.php");

class DownloadBatchFile extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$batch_file_id =  bgpc("id");
		if (is_null($batch_file_id = bgpc("id"))) {
			throw new Exception("Missing parameter 'id'");
		}
		$batch_file = Factory()->BatchFile($batch_file_id);
		header("HTTP/1.1 200 OK");
		header('Content-Type:  text/plain');
		header('Content-Length: ' . (filesize($batch_file->batch_file_content)));
		header("Content-Disposition: attachment; filename=\"{$batch_file->batch_file_name}\"");
		if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'],'MSIE'))
			header('Content-Type: application/force-download');
		else
			header('Content-Type: application/octet-stream');
		echo $batch_file->batch_file_content;
		exit;
	}
}