<?php

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-action/genericactions.php");

class EditClientResponse extends EditResponseAction
{
	public function __construct()
	{
		// prevent an admin from forcing the clientActive variable outside of the edit form
		unset($_REQUEST["clientActive"]);

		$this->d = new DataSource("clientsGeneric");
		parent::__construct();
	}

	public function editResponseHandler()
	{
		$clientID = bgpc("clientID");
		require_once("object_managers/SecurityManager.php");
		SecurityManager::pushCurrentActionIntoLog(
			SecurityManager::USER_TYPE_CLIENT,
			$clientID,
			Factory()->Client($clientID)->PrimaryContact->contact_username,
			"TRANS_ACTION_LOG_REASON_EDIT_USER",
			blmsg("TRANS_ACTION_LOG_COMMENT_CLIENT", array("CLIENT_ID" => $clientID), SecurityManager::getActionLogLocale())
		);
		return true;
	}
}
