<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

class ShowCrashReports extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page = UIFactory()->Page();
		$page->title = blmsg("TRANS_CRASH_REPORTS");
		$page->parent_title = blmsg("TRANS_SYSTEM_CONFIGURATION");
		$page->parent_url = action_url("configs", "ShowConfigs");

		if ("1" == bgpc("notfound"))
			$page->addErrorMessage(
				UIFactory()->ErrorMessage(blmsg("TRANS_GOTOCRASHREPORT_ERROR__REPORT_NOT_FOUND"))
			);

		require_once("UI/List/UICrashReportList.php");
		$page->addListPanel(new UICrashReportList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
