<?php
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowOrderForms extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));
		$tools_panel->addButton(
			UIFactory()->ToolButton("new-store", blmsg("TRANS_ONLINE_STORES_ADD"), action_url("orderforms", "AddOrderFormResponse"))
		);

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_ONLINE_STORES");
		$page->parent_title = blmsg("TRANS_HOME");
		$page->parent_url = action_url("dashboard", "ShowDashboard");
		$page->addToolsPanel($tools_panel);
		require_once("UI/List/UIStoreList.php");
		$page->addListPanel(new UIStoreList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
