<?php

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-action/action.php");

class CaptureFunds extends MB_Action
{
	public function execute()
	{
		parent::execute();

		set_time_limit(0);
		ignore_user_abort();

		$failedTransactions = array();

		require_once("object_managers/CryptManager.php");
		$key = CryptManager::isLekEnabled() ? CryptManager::getLekPin() : bgpc("key");

		$captureQuery = "
			<mbapi>
				<command>ProcessCaptureFunds</command>
				<params>
					<key>$key</key>
					<transactionID>TID</transactionID>
				</params>
			</mbapi>
		";

		$transactions = $_REQUEST['captureIDs'];
		if ( isset($transactions) ) {
			require_once("lib-mbapi/mbapi.php");
			foreach ($transactions as $tid=>$v){
				if ($v=='y'){
					$query = str_replace("TID", $tid, $captureQuery);
					$results = dispatchMBAPI($query, 1);
					dbg($results);
					$result = $results["mbapi"][0]["results"][0]["result"][0];
					if ($result=="failure"){
						$failedTransactions[] = $tid;
					}
				}
			}
		}

		if ((int)$_REQUEST["invoiceID"]){
	            redirect("invoices.php?action=".getActionID("ShowInvoiceDetails")."&invoiceID=".((int)$_REQUEST["invoiceID"])."&failedID=".$failedTransactions[0]."&sid=".secureInput($_REQUEST["sid"]));
		} else {
	        if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
	            redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
	        } else {
	            redirect("paymentqueue.php?action=".getActionID("ShowUncapturedFunds")."&failedID[]=".@implode("&failedID[]=", $failedTransactions)."&sid=".secureInput($_REQUEST["sid"]));
	        }
		}


		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}