<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowTLDs extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton( "new-tld",	blmsg("TRANS_ADD_TLD"),	action_url("products", "AddTLD")));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_SHOW_TLDS");
		$page->parent_title = blmsg("TRANS_SYSTEM_CONFIGURATION");
		$page->parent_url = action_url("configs", "ShowConfigs");

		require_once("UI/List/UITLDList.php");
		$page->addListPanel(new UITLDList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
