{* $Id: EditBasicClientAttributes.tpl 9374 2006-10-10 00:55:16Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *
 * Author: Kris Bailey
 *}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT_CLIENT_ATTRIBUTES"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink="yes" suppressDeleteLink="yes"}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="EditBasicClientAttributesResponse"}">
<input type="hidden" name="clientID" value="{$client.clientID}">
<input type="hidden" name="sid" value="{$sid}">

<fieldset>
<legend>{"TRANS_CLIENT_ATTRIBUTES"|lmsg}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<thead>
<tr class="headerRow">
	<td><strong>{"TRANS_ATTRIBUTE_DISPLAY_NAME"|lmsg}</strong></td>
	<td><strong>{"TRANS_ATTRIBUTE_IS_ACTIVE"|lmsg}</strong></td>
	<td><strong>{"TRANS_ATTRIBUTE_INTERNAL_VALUE"|lmsg}</strong></td>
</tr>
</thead>
{foreach key="attributeName" item="attrID" from=$namedAttributes}
	
	{if $programaticAttributes.$attributeName}
		{assign var="attrDisplayName" value=$programaticAttributes.$attributeName}
	{else}
		{assign var="attrDisplayName" value=$attributeName}
	{/if}
	
	<tr>
		<td class="title">{$smarty.const.$attrDisplayName|default:$attrDisplayName}:</td>
		<td>
			<input type="radio" value="yes" name="activeAttributes[{$attributeName}]" 
				{if $attributeValues.$attrID.attributeID==$attrID}checked="checked"{/if} /> 
			{"TRANS_YES"|lmsg} 
			&nbsp;&nbsp; 
			<input type="radio" value="no" name="activeAttributes[{$attributeName}]" 
				{if $attributeValues.$attrID.attributeID==$attrID}{else}checked="checked"{/if} /> 
			{"TRANS_NO"|lmsg}
		</td>
		<td>
			<input type="text" name="attributeValues[{$attributeName}]" value="{$attributeValues.$attrID.clientAttributeValue}" />
		</td>
	</tr>

{/foreach}

	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>{"TRANS_INTERNAL_VALUE_OPTIONS"|lmsg}</td>
	</tr>
	<tr class="listButtons">
		<td colspan="3"><div><input type="submit" class="submit" value="{"TRANS_SAVE_ALL"|lmsg}" /></div></td>
	</tr>
</table>

</fieldset>

</form>
<br />
{include file="$tplDirectory/footer.tpl"}
