{* $Id: GeneratePaymentQueueResponse.tpl 6691 2006-05-08 21:39:16Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_GENERATED_QUEUE"
	sideNavMajor="finances"
	sideNavMinor="billing"}

<fieldset>
            <legend>{"TRANS_PAYMENT_QUEUE_ITEMS_GENERATED"|lmsg}</legend>
            <table border="0" cellspacing="0" class="list" width="100%">
                <tbody>
                <tr class="headerRow">
                    <td>{"TRANS_CURRENCY_ID"|lmsg}</td>
                    <td>{"TRANS_NUMBER"|lmsg}</td>
                    <td>{"TRANS_AMOUNT"|lmsg}</td>
                </tr>
{section name="i" loop=$currencies}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
                <tr class="{cycle values="alt1,alt2"}">
                    <td>{$currencies[i].id}</td>
                    <td>{$currencies[i].number}</td>
                    <td>{$currencies[i].amount|getAmount:$currencies[i].id}</td>
                </tr>
{/section}
                </tbody>
            </table>

</fieldset>

{include file="$tplDirectory/footer.tpl"}
