{* $Id: primaryContact.tpl 11963 2007-09-25 15:33:57Z bwoolley $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{"TRANS_PRIMARY_CONTACT"|lmsg}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td width="40%" class="title">{"TRANS_FIRST_NAME"|lmsg}</td>
		<td>{$primaryContact.contactFirstName}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_LAST_NAME"|lmsg}</td>
		<td>{$primaryContact.contactLastName}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_EMAIL_ADDRESS_OPTION"|lmsg}</td>
		<td>
			{strip}
			<a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}" title="{$primaryContact.contactEmail}">
				{$primaryContact.contactEmail|mb_truncate:25}
			</a>
			{/strip}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_USERNAME"|lmsg}</td>
		<td>{$primaryContact.contactUsername}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COMPANY"|lmsg}</td>
		<td>{$primaryContact.contactCompany}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDRESS_1}:</td>
		<td>{$primaryContact.contactAddress1}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDRESS_2}:</td>
		<td>{$primaryContact.contactAddress2}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_CITY"|lmsg}</td>
		<td>{$primaryContact.contactCity}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_STATE_OR_REGION"|lmsg}</td>
		<td>{$primaryContact.contactState}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_ZIP_OR_POSTALCODE"|lmsg}</td>
		<td>{$primaryContact.contactZip}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COUNTY"|lmsg}</td>
		<td>{$primaryContact.contactCounty}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COUNTRY"|lmsg}</td>
		<td>
			<img src="{$imageDirectory}/flags/flag-{$primaryContact.countriesISO2}.gif" style="vertical-align:middle;border-style:none;" /> {$primaryContactCountry|mb_truncate:15}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_PRIMARY_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactPhone1}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_SECONDARY_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactPhone2}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_FAX"|lmsg}</td>
		<td>{$primaryContact.contactFax}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_MOBILE_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactMobilePhone}</td>
	</tr>
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
			{if ($client.clientStatus == 0) && ($client.clientActive == 1) && ($client.contacts.contact.contactActive == 1)}
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ForwardToClientInterface"
					args="clientID=`$client.clientID`&clientContactID=`$primaryContact.clientContactID`"
					icoImage="id_card.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
					titleText=""
					linkText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
					target="_blank"}
				<br />
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ResetContactPassword"
					args="clientContactID=`$primaryContact.clientContactID`"
					icoImage="id_card_new.gif"
					altText="TRANS_RESET_RESEND_PASSWORD"
					linkText="TRANS_RESET_RESEND_PASSWORD"}
				<br />
			{/if}

			{assign var=p value=$primaryContact.clientContactID}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClientContact"
				args="clientContactID=$p"
				icoImage="contact_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_PRIMARY_CONTACT"
				titleText=""
				linkText="TRANS_EDIT_PRIMARY_CONTACT"}

			<br />

			{assign var=p value=$client.clientID}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="AddClientContact"
				args="clientID=$p"
				icoImage="contact_add.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_ADD_NEW_CONTACT"
				titleText=""
				linkText="TRANS_ADD_NEW_CONTACT"}

			<br />

			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientContacts"
				args="clientID=$p"
				icoImage="contacts.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_CONTACTS"
				titleText=""
				linkText="TRANS_SHOW_ALL_CONTACTS"}

			<br />
		</td>
	</tr>
	</table>



</div>{* box07 *}
