{*
 * --------------------------------------------------------------
 * This template displays a form to edit a BillingAccount.
 *
 * Smarty Variables:
 *	n/a
 *
 *}


{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

		<fieldset>
			<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_ADD_BILLING_ACCOUNT"|lmsg}</legend>
			<div>
				<form method="post" name="billing" id="billing" action="profile.php" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
				<input type="hidden" name="action" value="{getActionID action="AddBillingAccountResponse"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />


				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				<tr class="{if $invalid.billingAccountType}highlight{/if}">
					<td class="title">{"TRANS_TYPE"|lmsg}</td>
					<td>
						{foreach from=$billingAccountTypes item=billingAccountType key=key}
							<label for="type_{$key}"><input onclick="updateTypeEnableState()" id="type_{$key}" type="radio" name="billingAccountType" value="{$key}" {if $key == $formValues.billingAccountType}checked="checked"{/if} /> {$billingAccountType}</label>
							<br />
						{/foreach}

						{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
						{$invalid.billingAccountType}
					</td>
				</tr>
				{if $isPrimary}
				<tr>
					<td class="title">{"TRANS_DEFAULT"|lmsg}</td>
					<td>
						<label for="defaultBillingAccount">
							<input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1" />
							- {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}
						</label>
					</td>
				</tr>
				{/if}
				</table>

				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				<tr>
					<td width="50%" valign="top">
						{if $billingAccountTypes.0}
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{"TRANS_CREDIT_CARD_ACCOUNT_LEGEND"|lmsg}</td>
						</tr>
						<tr class="{if $invalid.billingCardNameOnCard}highlight{/if}">
							<td class="title"><label for="billingCardNameOnCard">{"TRANS_NAME_ON_CARD"|lmsg}</label></td>
							<td><input size="25" maxlength="75" type="text" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
						</tr>
						<tr class="{if $invalid.billingCardType}highlight{/if}">
							<td class="title"><label for="billingCardType">{"TRANS_TYPE"|lmsg}</label></td>
							<td><select id="billingCardType" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
						</tr>
						<tr class="{if $invalid.billingCardNum}highlight{/if}">
							<td class="title"><label for="billingCardNum">{"TRANS_CARD_NUMBER"|lmsg}</label></td>
							<td><input size="16" maxlength="19" type="text" id="billingCardNum" name="billingCardNum" value="" /> {$invalid.billingCardNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpMonth}highlight{/if}">
							<td class="title"><label for="billingCardExpMonth">{"TRANS_EXPIRY_MONTH"|lmsg}</label></td>
							<td><input size="2" maxlength="2" type="text" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> {$invalid.billingCardExpMonth}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpYear}highlight{/if}">
							<td class="title"><label for="billingCardExpYear">{"TRANS_EXPIRY_YEAR"|lmsg}</label></td>
							<td><input size="4" maxlength="4" type="text" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> {$invalid.billingCardExpYear}</td>
						</tr>
						<tr class="{if $invalid.billingCardIssueNum}highlight{/if}">
							<td class="title"><label for="billingCardIssueNum">{"TRANS_ISSUE_NUMBER"|lmsg}</label></td>
							<td><input size="3" maxlength="3" type="text" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardStartDate}highlight{/if}">
							<td class="title"><label for="billingCardStartDate">{"TRANS_START_DATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
						</tr>
						</table>
						{/if}
					</td>

					<td width="50%" valign="top">
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{"TRANS_BANK_ACCOUNT"|lmsg}</td>
						</tr>
						<tr class="{if $invalid.billingBankName}highlight{/if}">
							<td class="title"><label for="billingBankName">{"TRANS_BANK_NAME"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
						</tr>
						<tr class="{if $invalid.billingBankState}highlight{/if}">
							<td class="title"><label for="billingBankState">{"TRANS_BANK_STATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
						</tr>
						<tr class="{if $invalid.billingBankType}highlight{/if}">
							<td class="title"><label for="billingBankType">{"TRANS_TYPE"|lmsg}</label></td>
							<td><select id="billingBankType" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
						</tr>
						<tr class="{if $invalid.billingBankAbaCode}highlight{/if}">
							<td class="title"><label for="billingBankAbaCode">{"TRANS_ROUTING_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
						</tr>
						<tr class="{if $invalid.billingBankAccountNum}highlight{/if}">
							<td class="title"><label for="billingBankAccountNum">{"TRANS_ACCOUNT_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseNum}highlight{/if}">
							<td class="title"><label for="billingBankLicenseNum">{"TRANS_LICENSE_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseState}highlight{/if}">
							<td class="title"><label for="billingBankLicenseState">{"TRANS_LICENSE_STATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
						</tr>
						<tr class="{if $invalid.billingBankDob}highlight{/if}">
							<td class="title"><label for="billingBankDob">{"TRANS_DOB"|lmsg}</label></td>
							<td><input size="25" maxlength="25" type="text" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
						</tr>
						</table>
					</td>

				</tr>
				<tr>
					<td colspan="2" class="headerRow">{"TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"|lmsg}</td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						{include file="$tplDirectory/widgets/comboBox.tpl"
							comboTitleLeft=TRANS_SELECTED
							comboNameLeft="packages"
							comboOptionsLeft=$selectedPackages

							comboTitleRight=TRANS_SELECTABLE
							comboNameRight="selectablePackages"
							comboOptionsRight=$selectablePackages
							formName="billing"
							submitName="suppress"
						}
					</td>
				</tr>


				<tr class="listButtons">
					<td colspan="2"><div>
						<input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" />
				{* 		<input class="reset" type="reset" value="{"TRANS_RESET"|lmsg}" onclick="updateTypeEnableState()" /> *}
					</div></td>
				</tr>

				</table>

				</form>

			</div>
		</fieldset>

{assign var=activeType0 value=$billingAccountTypes.0}
{assign var=activeType3 value=$billingAccountTypes.3}
{assign var=activeType4 value=$billingAccountTypes.4}
<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		{/literal}

		{strip}
		if (
		{if $activeType0}
		document.getElementById('type_0').checked &&
		{/if}

		{if $activeType3 && !$activeType4}
			!document.getElementById('type_3').checked) {literal}{{/literal}
		{elseif !$activeType3 && $activeType4}
			!document.getElementById('type_4').checked) {literal}{{/literal}
		{elseif $activeType3 && $activeType4}
			!(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {literal}{{/literal}
		{else}
			{literal}) {{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
			{/if}
			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			updateCardExtraEnableState();
		{literal}
		}
		{/literal}
		{strip}
		if (
		{if $activeType0}
		!document.getElementById('type_0').checked &&
		{/if}

		{if $activeType3 && $activeType4}
			!(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {literal}{{/literal}
		{elseif $activeType3 && !$activeType4}
			!document.getElementById('type_3').checked) {literal}{{/literal}
		{elseif !$activeType3 && $activeType4}
			!document.getElementById('type_4').checked) {literal}{{/literal}
		{else}
			{literal}) {{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
			{/if}

			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";

			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
		{literal}
		}

  {/literal}
		{strip}
		{if $activeType3 && $activeType4}
			if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {literal}{{/literal}
		{elseif $activeType3 && !$activeType4}
			if(document.getElementById('type_3').checked) {literal}{{/literal}
		{else}
			if(document.getElementById('type_4').checked) {literal}{{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
			{/if}

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
		{literal}
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {

		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip})
		{if $activeType0}
		{literal}
		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
		{/literal}
		{/if}
		{literal}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
