{* $Id: ShowClientContacts.tpl 9647 2006-10-17 17:12:55Z eradtke $
 * --------------------------------------------------------------
 * This template displays the domains.
 *
 * Smarty Variables:
 *  $client (array of client data if this is the primary contact)
 *  $contacts (array of contact data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 * Author: Brian Smith
 *}



{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="contacts"}

<fieldset>
	<legend><img src="{$imageDirectory}/ico/contact-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_MANAGE_CONTACTS"|lmsg}</legend>
	<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	{if $isPrimary}
	<tr>
		<td colspan="5" align="right">
			<div class="rm"><a href="{getHREF page="profile.php" actionName="AddClientContact" args="clientID=`$client.clientID`&clientContactID=$clientContactID"}">{"TRANS_ADD_CONTACT"|lmsg}</a></div>
		</td>
	</tr>
	{/if}
	<tr class="headerRow">
		<td>
			{"TRANS_FIRST_NAME"|lmsg}
		</td>
		<td>
			{"TRANS_LAST_NAME"|lmsg}
		</td>
		<td>
			{"TRANS_USERNAME"|lmsg}
		</td>
		<td>
			{"TRANS_EMAIL"|lmsg}
		</td>
		<td>
		{"TRANS_MANAGE"|lmsg}
        </td>
	</tr>
	{section name=i loop=$contacts}
		{assign var=clientContactID value=$contacts[i].clientContactID}
		<tr>
			<td>
				{$contacts[i].contactFirstName}
			</td>
			<td>
				{$contacts[i].contactLastName}
			</td>
			<td>
				{$contacts[i].contactUsername}
			</td>
			<td>
				{$contacts[i].contactEmail}
			</td>
			<td>
				<a href="{getHREF page="profile.php"
							actionName="EditClientContact"
							args="clientContactID=$clientContactID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
                    </a><a href="{getHREF page="profile.php"
                            actionName="EditClientContact"
                            args="clientContactID=$clientContactID"}">{"TRANS_EDIT_CONTACT_INFO"|lmsg}</a>
				&nbsp;
				<a href="{getHREF page="profile.php"
							actionName="ShowBillingAccounts"
							args="clientContactID=$clientContactID"}">
					<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a> <a href="{getHREF page="profile.php"
                            actionName="ShowBillingAccounts"
                            args="clientContactID=$clientContactID"}">{"TRANS_VIEW_MANAGE_BILLING_ACCT"|lmsg}
			</td>
		</tr>
	{sectionelse}
		<tr>
			<td style="text-align: left;" colspan="5"><i>{"TRANS_NONE"|lmsg}</i></td>
		</tr>
	{/section}
	</table>
</fieldset>{* box07 *}
<br />

{include file="$tplDirectory/footer.tpl"}
