{* $Id: CheckoutSuccess.tpl 12482 2008-01-15 18:50:21Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}



<div align="center" class="box07">
{if $nocharge==1}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_CHECKOUT_SUCCESS"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{"TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED"|lmsg}</strong><br /><br />
			<table border="0" class="tab01">
				<tr>
					<th>{"TRANS_INVOICE_AMOUNT"|lmsg} </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{"TRANS_INVOICE_NUMBER"|lmsg} </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table>
			<br />
			{"TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED"|lmsg}
			
			</td>
		</tr>

	</table>

</div>
</div>
</div>

{elseif $transaction.paymentType==1 || $transaction.paymentType==9999 || $transaction.paymentType==4}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_PAYMENT_SUCCESS"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{"TRANS_YOUR_ACCOUNT_HAS_BEEN_CHARGED_SUCCESSFULLLY"|lmsg}</strong><br />
			{"TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED"|lmsg}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{"TRANS_INVOICE_AMOUNT"|lmsg} </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{"TRANS_INVOICE_NUMBER"|lmsg} </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table>
			<br />

			<table border="0" class="tab01">
				<tr>
					<th>{"TRANS_CHARGE_AMOUNT"|lmsg} </th>
					<td>{$transaction.transactionAmount|getAmount:$transaction.currencyID}</td>
				</tr>
				<tr>
					<th>{"TRANS_AUTHORIZATION_NUMBER"|lmsg} </th>
					<td>{$transaction.transactionCode}</td>
				</tr>
			</table>

			<br />
			{"TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED"|lmsg}

			</td>
		</tr>

	</table>

</div>
</div>
</div>

{elseif $transaction.paymentType==50 || $transaction.paymentType==3 || $transaction.paymentType==5}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_ORDER_SUCCESSFUL"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{"TRANS_ORDER_SUCCESSFUL"|lmsg}</strong><br />
			{"TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED"|lmsg}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{"TRANS_INVOICE_AMOUNT"|lmsg} </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{"TRANS_INVOICE_NUMBER"|lmsg} </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table>

			<br />
			{"TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED"|lmsg}

			</td>
		</tr>

	</table>

</div>
</div>
</div>

{elseif $transaction.paymentType==2}


<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_PAYMENT_INSTRUCTIONS"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;">
			{"TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED"|lmsg}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{"TRANS_INVOICE_AMOUNT"|lmsg} </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{"TRANS_INVOICE_NUMBER"|lmsg} </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table><br />

			{"TRANS_PLEASE_USE_THE_FOLLOWING_LINKS"|lmsg}<br /><br />

			{section name="i" loop=$transaction.secondary.0.form}

				{$transaction.secondary.0.form[i]|html_entity_decode}<hr noshade="noshade" />

			{/section}

			<br />{"TRANS_ONCE_YOU_HAVE_SUBSCRIBED"|lmsg}

			</td>
		</tr>

	</table>

</div>
</div>
</div>


{/if}

{if $immediatePovisionIDs.0>0}

<script language="javascript">
	{literal}
	function provisionAccounts(){
		{/literal}
		var urlString = "cart.php?sid={$sid}&action={getActionID action="OrderFormProvisioning"}{foreach item="sqid" key="k" from=$immediatePovisionIDs}&systemQueueID[]={$sqid}{/foreach}";
		{literal}
		new Ajax.Request(
			urlString,
			{
				method:'get',
				evalScripts:true,
				onSuccess:function(transport){
					if (transport.responseText.toString().indexOf('Fatal Error')==-1){
						$('accountCreationTD').innerHTML = transport.responseText.toString();
					} else {
						$('accountCreationTD').innerHTML = '{"TRANS_THERE_WAS_AN_ERROR_SETTING_UP_YOUR_ACCOUNT"|lmsg}';
						//$('accountCreationTD').innerHTML
					}
				}
			}
		);
	}
	{/literal}
</script>


	<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
	<div style="text-align: left; margin-bottom: 2px;">
	<h1>{"TRANS_ACCOUNT_CREATION"|lmsg}</h1>
	<div style="padding: 5px; background-color: #fff; text-align: center;">
	
		<table width="100%" cellpadding="4" cellspacing="0" border="0">
	
			<tr>
				<td style="padding: 10px; text-align: left;" id="accountCreationTD">
	
					<div style="text-align: center;">
						<strong>{"TRANS_PLEASE_WAIT_WHILE_YOUR_ACCOUNTS_ARE_CREATED"|lmsg}</strong><br />
						<img src="{$imageDirectory}/loadingdots.gif" width="188" height="25" hspace="20" vspace="20">
					</div>
					
				</td>
			</tr>
	
		</table>
	
	</div>
	</div>
	</div>

	<script language="javascript">provisionAccounts();</script>

{/if}


</div>
{include file="$tplDirectory/shopping/footer.tpl"}
