{php}if (array_key_exists('comparation', $_GET) && $_GET['comparation'] == 0) {{/php}
	{include file="$tplDirectory/website_widgets/stepByStep-Folder.tpl"}
{php}} else {{/php}

{*******************}

{include file="$tplDirectory/website_widgets/include/tools.tpl"}
{include file="$tplDirectory/website_widgets/include/header.tpl"}

{assign var="servicePlansCount" value=0}
{foreach item=product from=$products}
	{if "products"|getTypeID:"hosting" == $product.productType}
		{assign var="servicePlansCount" value=$servicePlansCount+1}
	{/if}
{/foreach}

<div class="wrapper">
<div class="actions">
	<div class="heading clear">
		<h2>{"TRANS_HOSTING_PLAN_COMP_CHART"|lmsg}</h2>
		<a href="{$shopURL}?{$shopURLArgs}&comparation=0">{"TRANS_GO_BACK_TO_PLAN_OVERVIEW"|lmsg}</a>
	</div>

	<table cellspacing="0" class="comparison-table">
	<thead>
	<tr>
		<th>&nbsp;</th>
		{if 0 < $servicePlansCount}
			{foreach item=product from=$products}
				{if "products"|getTypeID:"hosting" == $product.productType}
					<th>{$product.productName|lmsg}</th>
				{/if}
			{/foreach}
		{else}
			<th>{"TRANS_ORDERSHOP_NO_PRODUCTS_MESSAGE"|lmsg}</th>
		{/if}
	</tr>
	</thead>
	<tbody>
{if 0 < $servicePlansCount}
	{php}
		$ps = array();
		foreach ($this->get_template_vars('products') as $p) {
			if (getAPITypeID("products", "hosting") == $p['productType']) {
				$ps[] = $p;
			}
		}

		$ps_attrs = array();
		foreach ($ps as $p) {
			$ps_attrs[] = getDetailedAttributes($p);
		}

		foreach (array_keys($ps_attrs[0]) as $group_id) {
			echo '<tr>';
			echo '<th colspan="'.(count($ps)+1).'" class="category-heading">' . constant($group_id) . '</th>';
			echo '</tr>';

			foreach ($ps_attrs[0][$group_id] as $attr_0_idx => $attr_0) {
				echo '<tr>';
				echo '<th>' . constant($attr_0['title']) . '</th>';

				foreach (array_keys($ps_attrs) as $i) {
					$attr = $ps_attrs[$i][$group_id][$attr_0_idx];
					$p = $ps[$i];

					echo '<td>';
					if ((int)$attr['data'] == -1) {
						echo constant('TRANS_UNLIMITED');
					} elseif ((int)$attr['data'] > 0) {
						if ($attr['unit_size']==SIZE_INPUT_UNIT){
							$attr['unit_name'] = strtoupper($p['keyedAttributes'][$attr['name'].'UNIT']);
							if (!$attr['unit_name']){
								$attr['unit_name'] = 'B';
							}
							echo number_format($attr['data'])
								. ' ' . $attr['unit_name'];
						} else {
							echo number_format($attr['data'] / (int)$attr['unit_size'], ($attr['unit_size'] > 1 ? 2 : 0))
								. ' ' . $attr['unit_name'];
						}
					} else {
						echo '-';
					}
					echo '</td>';
				}

				echo '</tr>';
			}
		}
		echo '<tr class="thead">';
		echo '<td rowspan="2" class="empty">&nbsp;</td>';

		foreach ($ps as $productInfo) {
			echo '<th>' . $productInfo['productName'] . '</th>';
		}

		echo '</tr>';
		echo '<tr class="selection">';
	{/php}
{/if}

{foreach item=product key=i from=$products}
{if "products"|getTypeID:"hosting" == $product.productType}
	<td vAlign="top">
		<form
			id="form_{$i}"
			method="POST"
			action="{$plainCartURL}?{$shopURLArgs}&action={getActionID action='ShowCartProductAddonsStep'}&productID={$product.productID}"
		>
			{assign var="prices" value=$product.prices.$currencyID}
			{if 1 < count($prices)}
				<select name="productVariantPriceID" style="width:100%;">
					{foreach item=price key=price_idx from=$prices}
						{assign var="cycleID" value=$price.0.cycleID}
						{assign var="variantID" value=$price.0.productVariantID}
						{assign var="productVariantPriceID" value=$price.0.productVariantPriceID}
						<option value="{$productVariantPriceID}">
							{if $keyedVariants.$variantID.productVariantDisplayName}
								"{$keyedVariants.$variantID.productVariantDisplayName|lmsg}" -
							{/if}
							{$cycleList.$cycleID} -
							{if $price.0.discountPrice}
								{$price.0.discountPrice+$price.1.productVariantPriceAmount|getAmount:$currencyID}
								({$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID} - {$price.0.discountAmount|getAmount:$currencyID} {"TRANS_INSTANT_SAVINGS"|lmsg})
							{else}
								{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}
							{/if}
						</option>
					{/foreach}
				</select>
				<button onclick="window.document.getElementById('form_{$i}').submit();return false;"><span>{"TRANS_BUY_NOW"|lmsg}</span></button>
			{elseif 1 == count($prices)}
				{assign var="price" value=$prices.0}
				{assign var="cycleID" value=$price.0.cycleID}
				{assign var="variantID" value=$price.0.productVariantID}
				{assign var="productVariantPriceID" value=$price.0.productVariantPriceID}
				<input type="hidden" name="productVariantPriceID" value="{$productVariantPriceID}"/>
				<div>
					{if $keyedVariants.$variantID.productVariantDisplayName}
						"{$keyedVariants.$variantID.productVariantDisplayName|lmsg}" -
					{/if}
					{$cycleList.$cycleID} -
					{if $price.0.discountPrice}
						{$price.0.discountPrice+$price.1.productVariantPriceAmount|getAmount:$currencyID}
						({$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID} - {$price.0.discountAmount|getAmount:$currencyID} {"TRANS_INSTANT_SAVINGS"|lmsg})
					{else}
						{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}
					{/if}
				</div>
				<button onclick="window.document.getElementById('form_{$i}').submit();return false;"><span>{"TRANS_BUY_NOW"|lmsg}</span></button>
			{else}
				{"TRANS_NO_PRICES_IN_THIS_CURRENCY"|lmsg}
			{/if}
		</form>
	</td>
{/if}
{/foreach}

		{if 0 < $servicePlansCount}
			</tr>
		{/if}
	</tbody>
	</table>
{if isset($price_include_tax)}
		<div>{$price_include_tax} </div>
{/if}
  </div> <!-- /actions -->

  </div> <!-- /wrapper -->

{include file="$tplDirectory/website_widgets/include/footer.tpl"}

{*******************}

{php}}{/php}
