<?php

require_once(dirname(__FILE__)."/../../../../lib-tk/shield.php");

require_once("lib-action/action.php");
class ClearCart extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$shoppingSessionData = $this->updateShoppingSession(bgpc("sid"), bgpc("orderFormID"), 1);

		$shoppingSession = Factory()->ShoppingSession(bgpc('sid'));
		require_once('object_managers/ShoppingSessionManager.php');
		ShoppingSessionManager::deleteAllShoppingItems($shoppingSession);

		$setCouponXML = "
					<mbapi>
						<command>SetShoppingCoupon</command>
						<subCommand>delete</subCommand>
						<params>
							<shoppingSessionID>".secureInput($_REQUEST["sid"])."</shoppingSessionID>
						</params>
					</mbapi>";
		require_once("lib-mbapi/mbapi.php");
		$setCoupon = dispatchMBAPI($setCouponXML, 1);
		dbg("coupon result:");
		dbg($setCoupon);
		
		$setSessionXML = "
			<mbapi>
				<command>SetShoppingSession</command>
				<subCommand>update</subCommand>
				<params>
					<shoppingSessionID>".$shoppingSessionData["shoppingSessionID"]."</shoppingSessionID>
					<invoiceID>0</invoiceID>
					<fraudLevelAction>0</fraudLevelAction>
					<fraudLevelActionStatus>0</fraudLevelActionStatus>
					<shoppingSessionFingerprint></shoppingSessionFingerprint>
					<billingAccountID>0</billingAccountID>
				</params>
			</mbapi>
		";

		$setSession = dispatchMBAPI($setSessionXML, 1);
		dbg("session result:");
		dbg($setSession);
		
		$url = bgpc('redirectURL', 'cart.php?sid=' . urlencode(bgpc('sid')));
		redirect($url);
	}
}
