<?php
require_once("lib-action/action.php");

class ShowBatchFiles extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		require_once("UI/Tabs/UIBatchFilesScreenTabs.php");
		$batch_files_tabs = new UIBatchFilesScreenTabs();
		$batch_files_tabs->setCurrent("files");
		$page->setScreenTabs($batch_files_tabs);
		$page->title = blmsg("TRANS_BATCH_FILES_MANAGER");
		$page->parent_title = blmsg("TRANS_FINANCES");
		$page->parent_url = action_url("batchfiles", "ShowBatchFiles");
		require_once("UI/List/UIBatchFileList.php");
		$page->addListPanel(new UIBatchFileList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
