<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowClientContacts extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (is_null($client_id = bgpc("clientID")))
			throw new Exception("Missing parameter 'clientID'");

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton( "new-contact",	blmsg("TRANS_ADD_CONTACT"),	action_url("clients", "AddClientContact", array( "clientID" => $client_id ))));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_CONTACTS");
		$client = Factory()->Client($client_id);
		$page->parent_title = $client->PrimaryContact->contact_fullname;
		$page->parent_url = action_url("clients", "ShowClientDetails", array("clientID"	=> $client_id));

		require_once("UI/List/UIClientContactList.php");
		$page->addListPanel(new UIClientContactList( $client_id ));
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
