<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowClients extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton(
			"new-client",
			blmsg("TRANS_ADD_NEW_CLIENT"),
			action_url("clients", "AddClient")
		));
		$tools_panel->addButton(UIFactory()->ToolButton(
			"quick-stats-client",
			blmsg("TRANS_QUICK_STATS"),
			action_url("clients", "ShowClientStats")
		));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_CLIENTS");
		$page->parent_title = blmsg("TRANS_HOME");
		$page->parent_url = action_url("dashboard", "ShowDashboard");

		require_once("UI/List/UIClientList.php");
		$page->addListPanel(new UIClientList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
