<?php
require_once (dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once (dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowPackages extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		if ( !is_null( $client_id = bgpc("clientID") ) ) {
			$client = Factory()->Client($client_id);
			$page->parent_title = $client->PrimaryContact->contact_fullname;
			$page->parent_url = action_url("clients", "ShowClientDetails", array("clientID"	=> $client_id));
		} elseif ( !is_null( $product_id = bgpc("productID") ) ) {
			$product = Factory()->Product( $product_id );
			$page->parent_title = $product->product_name;
			$page->parent_url = action_url("products", "ShowProductDetails", array( "productID"	=> $product_id ));
		} else {
			$page->parent_title = blmsg("TRANS_HOME");
			$page->parent_url = action_url("dashboard", "ShowDashboard");
		}

		$page->title = blmsg("TRANS_SHOW_PACKAGES");

		require_once("UI/List/UIPackageList.php");
		$page->addListPanel(new UIPackageList( $client_id, $product_id ));

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
