<?php
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

class ShowTransactionLog extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_SHOW_TRANSACTIONS");
		$page->parent_title = blmsg("TRANS_FINANCES");

		require_once("UI/List/UITransactionLogList.php");
		$page->addListPanel(new UITransactionLogList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
