<?php

require_once("lib-tk/shield.php");
require_once("lib-mbapi/include/modules/gateway/HSPCGateway.php");
require_once("HSPC/Struct/PP/ProcessBatchContentRequest.php");

class HSPCBankTransfer extends HSPCGateway
{
	public function processBatchContent(HSPCStructPPProcessBatchContentRequest $request)
	{
		$request->config = $this->getPluginConfig();
		require_once("HSPC/PaymentProcess.php");
		$result = HSPCPaymentProcess::processBatchContent($this->getPaymentMethod(), $request);
		return $result->data;
	}
}
