{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl"
	client=$client suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/contact.tpl"
	contact=$contact suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}

{if $hspc_user_error}
	{include
		file="$commonTplDirectory/widgets/showErrorBox.tpl"
		message=$hspc_user_error}
	<br/>
{/if}

<form method="post" name="billing" id="billing" action="clients.php" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
<input type="hidden" name="action" value="{getActionID action="EditBillingAccountResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$client.clientID}" />
<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />

<fieldset>
<legend>{"TRANS_BILLING_ACCOUNT_LEGEND"|lmsg}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
{if getAPITypeID("billingAccount", "hspcbanktransfer") != $formValues.billingAccountType}
<tr {if $invalid.billingAccountType}class="highlight"{/if}>
	<td class="title">{"TRANS_TYPE"|lmsg}</th>
	<td>
		{section name=billing loop=$billingAccountTypes}
			{assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
			{assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
			<label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if} /> {$thisBillingAccountType}</label>
			<br />
		{/section}

		{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
		{$invalid.billingAccountType}
	</td>
</tr>
{/if}
<tr>
	<td class="title">{"TRANS_DEFAULT"|lmsg}</th>
	<td>
		<label for="defaultBillingAccount">
			<input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1" {if $client.defaultBillingAccountID==$billingAccount.billingAccountID}checked="checked" disabled="disabled"{/if} />
			 - {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}
			{if $client.defaultBillingAccountID==$billingAccount.billingAccountID}
				<br />
				{"TRANS_TO_REMOVE_THIS_AS_THE_DEFAULT_ACCOUNT_EDIT_THE_CLIENT_OR_ANOTHER_BILLING_ACCOUNT"|lmsg}
			{/if}
		</label>
	</td>
</tr>
{if getAPITypeID("billingAccount", "hspcbanktransfer") == $formValues.billingAccountType}
<tr>
	<td valign="top" colspan="2">
		<input type="hidden" name="billingAccountType" value="{$formValues.billingAccountType}">
		{$hspc_payment_method_form}
	</td>
</tr>
{/if}
</tbody>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
{if getAPITypeID("billingAccount", "hspcbanktransfer") != $formValues.billingAccountType}
<tr>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{"TRANS_CREDIT_CARD_ACCOUNT_LEGEND"|lmsg}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingCardNameOnCard}class="highlight"{/if}>
			<td class="title"><label for="billingCardNameOnCard">{"TRANS_NAME_ON_CARD"|lmsg}</label>:</td>
			<td><input size="25" maxlength="75" type="text" style="width:150px;" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
		</tr>
		<tr {if $invalid.billingCardType}class="highlight"{/if}>
			<td class="title"><label for="billingCardType">{"TRANS_TYPE"|lmsg}</label>:</td>
			<td><select id="billingCardType" name="billingCardType" style="width:150px;" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
		</tr>
		<tr {if $invalid.billingCardNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardNum">{"TRANS_CARD_NUMBER"|lmsg}</label>:</td>
			<td>
			{if !isset($billingAccount.decryptedCard) && ("lek" == $encryptionMode || "passphrase" == $encryptionMode) }
				<input size="16" maxlength="19" type="text" style="width:150px;" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value="" /> {$invalid.billingCardNum}&nbsp;
				{strip}
				<a id="lek_pin" href="javascript:void(0);" style="text-decoration:none" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
					&lt;form method=\'post\' action=\'clients.php\'&gt;
					&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="EditBillingAccount"}\' /&gt;
					&lt;input type=\'hidden\' name=\'showDecryptedCC\' value=\'1\' /&gt;
					&lt;input type=\'hidden\' name=\'clientID\' value=\'{$client.clientID}\' /&gt;
					&lt;input type=\'hidden\' name=\'clientContactID\' value=\'{$contact.clientContactID}\' /&gt;
					&lt;input type=\'hidden\' name=\'billingAccountID\' value=\'{$billingAccount.billingAccountID}\' /&gt;
					&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
					{if "lek" == $encryptionMode}
						{"TRANS_ENCRYPTION_LEK_PEN"|lmsg}&nbsp;&lt;input type=\'password\' name=\'lekPin\' value=\'\' onClick=\'javascript:this.form.addValue.focus();this.form.addValue.select();\' /&gt;
					{else}
						{"TRANS_ENCRYPTION_PASSPHRASE"|lmsg}&nbsp;&lt;input type=\'password\' name=\'passphrase\' value=\'\' onClick=\'javascript:this.form.addValue.focus();this.form.addValue.select();\' /&gt;
					{/if}
					&lt;input type=\'submit\' name=\'submit\' value=\'{"TRANS_SUBMIT"|lmsg}\' /&gt;
					&lt;/form&gt;&lt;/div&gt;', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{"TRANS_VIEW_CC"|lmsg}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');" onmouseout="return nd();">
					<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="{"TRANS_VIEW_CC"|lmsg}" title="{"TRANS_VIEW_CC"|lmsg}" />
					&nbsp;{"TRANS_VIEW"|lmsg}
				</a>
				{/strip}
			{else}
				<input size="16" maxlength="19" type="text" style="width:150px;" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value="{$billingAccount.decryptedCard}" /> {$invalid.billingCardNum}
			{/if}
			</td>
		</tr>
		<tr {if $invalid.billingCardExpMonth}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpMonth">{"TRANS_EXPIRY_MONTH"|lmsg}</label>:</td>
			<td><input size="2" maxlength="2" type="text" style="width:50px;" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> [00] {$invalid.billingCardExpMonth}</td>
		</tr>
		<tr {if $invalid.billingCardExpYear}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpYear">{"TRANS_EXPIRY_YEAR"|lmsg}</label>:</td>
			<td><input size="4" maxlength="4" type="text" style="width:50px;" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> [0000] {$invalid.billingCardExpYear}</td>
		</tr>
		<tr {if $invalid.billingCardIssueNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardIssueNum">{"TRANS_ISSUE_NUMBER"|lmsg}</label>:</td>
			<td><input size="3" maxlength="3" type="text" style="width:50px;" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
		</tr>
		<tr {if $invalid.billingCardStartDate}class="highlight"{/if}>
			<td class="title"><label for="billingCardStartDate">{"TRANS_START_DATE"|lmsg}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:50px;" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
		</tr>
		<tr>
			<td class="title">&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		</fieldset>
		</table>
	</td>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{"TRANS_BANK_ACCOUNT"|lmsg}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingBankName}class="highlight"{/if}>
			<td class="title"><label for="billingBankName">{"TRANS_BANK_NAME"|lmsg}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
		</tr>
		<tr {if $invalid.billingBankState}class="highlight"{/if}>
			<td class="title"><label for="billingBankState">{"TRANS_BANK_STATE"|lmsg}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
		</tr>
		<tr {if $invalid.billingBankType}class="highlight"{/if}>
			<td class="title"><label for="billingBankType">{"TRANS_TYPE"|lmsg}</label>:</td>
			<td><select id="billingBankType" style="width:150px;" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
		</tr>
		<tr {if $invalid.billingBankAbaCode}class="highlight"{/if}>
			<td class="title"><label for="billingBankAbaCode">{"TRANS_ROUTING_NUMBER"|lmsg}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
		</tr>
		<tr {if $invalid.billingBankAccountNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankAccountNum">{"TRANS_ACCOUNT_NUMBER"|lmsg}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseNum">{"TRANS_LICENSE_NUMBER"|lmsg}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseState}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseState">{"TRANS_LICENSE_STATE"|lmsg}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
		</tr>
		<tr {if $invalid.billingBankDob}class="highlight"{/if}>
			<td class="title"><label for="billingBankDob">{"TRANS_DOB"|lmsg}</label>:</td>
			<td><input size="25" maxlength="25" type="text" style="width:150px;" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
		</tr>
		</table>
		</fieldset>
	</td>
</tr>
{/if}
<tr>
	<td colspan="2">
{if $paymentQueueSettings.enable_advanced_share_editing!=1}
		<fieldset>
		<legend>{"TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"|lmsg}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td colspan="2" align="center">
				{include file="$tplDirectory/widgets/comboBox.tpl"
					comboTitleLeft=TRANS_BILLABLE_FOR
					comboNameLeft="packages"
					comboOptionsLeft=$selectedPackages
					comboTitleRight=TRANS_NOT_BILLABLE_FOR
					comboNameRight="selectablePackages"
					comboOptionsRight=$selectablePackages
					formName="billing"
					submitName="suppress"
					comboWidth="300"
				}
			</td>
		</tr>
		</table>
		</fieldset>
{else}
		{"TRANS_ADVANCED_BILLING_ACCOUNT_EDITING_IS_ON_GOTO_PACKAGES_TO_EDIT"|lmsg}
{/if}
	</td>
</tr>
<tr class="listButtons">
	<td><div>
		{if "passphrase" == $encryptionMode}
			<strong>{"TRANS_ENCRYPTION_PASSPHRASE"|lmsg}</strong>
			&nbsp;
			<input size="15" type="password" style="width:175px;" id="encKey" name="encKey" value="{$formValues.billingCardStartDate}" />
			&nbsp;
		{else}
			&nbsp;
		{/if}
	</div></td>
	<td><div>
		<input class="submit" type="submit" name="submit" value="{"TRANS_UPDATE_BILLING_ACCOUNT"|lmsg}" />
	</div></td>
</tr>
</tbody>
</table>

</fieldset>

</form>

<br />

<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		if(document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
			document.getElementById('lek_pin').style.display='';

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			updateCardExtraEnableState();
		}
		if(!document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";

			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
			document.getElementById('lek_pin').style.display='none';
			hideobjbyid('overLibReplacementDiv');
		}

		if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
			document.getElementById('lek_pin').style.display='none';
			hideobjbyid('overLibReplacementDiv');
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {
		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip}{literal})

		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
