{* $Id: ShowSystemModuleInfo.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the main modules menu.
 *
 * Smarty Variables:
 *   $panels
 *   $registrars
 *   $gateways
 *   $others (other is nested with ssl, fraud, etc.)
 *
 * Author: Michael Fountain
 *}




{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MODULES"
    childName= $smarty.const.TRANS_MODERNBILL_MODULE_INFO
    sideNavMajor="system"}

<br />

<fieldset>
<legend><img src="{$imageDirectory}/ico/cubes_blue.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
{"TRANS_MODULE_TYPE_PANEL"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
</tr>
{foreach from=$panel item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td class="title">{$module.displayName}</td>
        {assign var="transKey" value=$module.status}
        <td>{$smarty.const.$transKey}</td>
        <td>{$module.version}</td>
        <td>{$module.author}</td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
    </tr>
{/foreach}
</table>
</fieldset>
<br />
<br />

<fieldset>
<legend><img src="{$imageDirectory}/ico/cubes_green.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
{"TRANS_MODULE_TYPE_GATEWAY"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
</tr>
    {foreach from=$gateway item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td class="title">{$module.displayName}</td>
        {assign var="transKey" value=$module.status}
        <td>{$smarty.const.$transKey}</td>
        <td>{$module.version}</td>
        <td>{$module.author}</td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
    </tr>
{/foreach}
</table>
</fieldset>
<br />
<br />

<fieldset>
<legend><img src="{$imageDirectory}/ico/cubes_yellow.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
{"TRANS_MODULE_TYPE_REGISTRAR"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
</tr>
{foreach from=$registrar item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td class="title">{$module.displayName}</td>
        {assign var="transKey" value=$module.status}
        <td>{$smarty.const.$transKey}</td>
        <td>{$module.version}</td>
        <td>{$module.author}</td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
    </tr>
{/foreach}
</table>
</fieldset>
<br />
<br />

<fieldset>
<legend><img src="{$imageDirectory}/ico/cubes_other.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
{"TRANS_MODULE_TYPE_OTHER"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
</tr>
{foreach from=$other item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td class="title">{$module.displayName}</td>
        {assign var="transKey" value=$module.status}
        <td>{$smarty.const.$transKey}</td>
        <td>{$module.version}</td>
        <td>{$module.author}</td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
    </tr>
{/foreach}
</table>
</fieldset>
<br clear="all" />

{include file="$tplDirectory/footer.tpl"}
