{* $Id: AddTaxZone.tpl 11070 2007-04-30 20:51:12Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new tax zone. The data provided here will be 
 * posted to the AddTaxZoneResponse action, which will add the data to the database. Once added, 
 * a news article will be displayed in ShowTaxZones.
 *
 * Smarty Variables:
 *	$countrylist -- List of countries to choose from. 
 *}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAXES"
    grandchildName="TRANS_MANAGE_TAX_ZONES"
    sideNavMajor="system"
   	sideNavMinor="taxes"
    parentConfigGroupID=0}

<fieldset>
<legend>{"TRANS_ADD_TAX_ZONE"|lmsg}</legend>
<form method="post" action="taxes.php" name="EditTaxes" onsubmit="if(this.taxZoneDescription.value==''){literal}{{/literal}alert('{"TRANS_YOU_MUST_PROVIDE_A_DESCRIPTION"|lmsg|escape:javascript}');return false;{literal}}{/literal}">
<input type="hidden" name="action" value="{getActionID action="AddTaxZoneResponse"}">
<input type="hidden" name="sid" value="{$sid}">

<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
    <tr>
        <td class="title">{"TRANS_COUNTRY"|lmsg}</td>
        <td><select id="countriesISO2" name="countriesISO2">
{html_options options=$countryList selected=$selectedCountry}
</select></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_TAX_ZONE_NAME"|lmsg}</td>
        <td><input type="text" name="taxZoneName" /></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_TAX_ZONE_TYPE"|lmsg}</td>
        <td><select id="taxZoneAmountType" name="taxZoneAmountType">
            <option value="0">{"TRANS_PERCENTAGE"|lmsg}</option>
            <option value="1">{"TRANS_SET_AMOUNT"|lmsg}</option>
        </select></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_TAX_ZONE_AMOUNT"|lmsg}</td>
        <td><input type="text" name="taxZoneAmount" size="5" /></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_TAX_ZONE_DESCRIPTION"|lmsg}</td>
        <td><input type="text" name="taxZoneDescription" /></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_TAX_ZONE_ACTIVE"|lmsg}</td>
        <td><select id="taxZoneActive" name="taxZoneActive">
{html_options options=$activeInactive}
</select></td>
    </tr>

    <tr>
        <td class="title">{"TRANS_STACKABLE"|lmsg}</td>
        <td><input type="checkbox" name="taxZoneStackable" id="taxZoneStackable" value="1" /> {"TRANS_THIS_TAX_IS_TAXABLE"|lmsg}</td>
    </tr>

	<tr>
		<td class="title">{"TRANS_LEDGER_ACCOUNT"|lmsg}</td>
		<td><select name="ledgerAccountID">{include file="$tplDirectory/widgets/accountingLedgerSelect.tpl"
			ledgerAccounts=$ledgerAccounts
			accountTypes=$accountTypes}</select></td>
	</tr>

    <tr>
		<td class="title">{"TRANS_TAX_ZONE_GROUPS"|lmsg}</td>
		<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="taxZoneGroups"
			comboOptionsLeft=$selectedTaxZoneGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableTaxZoneGroups"
			comboOptionsRight=$selectableTaxZoneGroups
			formName="EditTaxes"
			submitName="suppress"
		}
		</td>
    </tr>

    <tr class="listButtons">
        <td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_SAVE"|lmsg}" onclick="selectAllOptions(document.EditTaxes.elements['taxZoneGroups[]']);"></div></td>
    </tr>
</table>

</form>
</fieldset>
{include file="$tplDirectory/footer.tpl"}
