{* $Id: AddWebsiteWidget.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a tax zone. Note that for now, one is unable to 
 * change the administrator associated with a tax zone.
 *
 * Smarty Variables:
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *	$countrylist -- List of countries to choose from. 
 *}



{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_WIDGETS"
    grandchildName="TRANS_ADD_WEBSITE_WIDGET"
    sideNavMajor="products"
   	sideNavMinor="websitewidgets"
    parentConfigGroupID=0}

<form method="post" action="websitewidgets.php">
<input type="hidden" name="action" value="{getActionID action="AddWebsiteWidgetResponse"}">
<input type="hidden" name="sid" value="{$sid}">

<fieldset>
<legend>{"TRANS_ADD_WEBSITE_WIDGET"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
    <tr>
        <td class="title">{"TRANS_WEBSITE_WIDGET_NAME_OPTION"|lmsg}</td>
        <td><input type="text" name="websiteWidgetName" value="{$websiteWidgetInfo.websiteWidgetName}" /></td>
    </tr>
    <tr>
        <td class="title" scope="row">{"TRANS_WEBSITE_WIDGET_TEMPLATE_OPTION"|lmsg}</td>
        <td><select name="websiteWidgetTpl">
{html_options options=$wwTemplates selected=$websiteWidgetInfo.websiteWidgetTpl}
</select></td>
    </tr>
    <tr>
		<td class="title">{"TRANS_WEBSITE_WIDGET_ORDER_FORM_OPTION"|lmsg}</td>
		<td><select name="orderFormID">
{html_options options=$orderforms}
</select></td>
    </tr>
    <tr class="listButtons">
        <td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_SAVE"|lmsg}"></div></td>
    </tr>
</tbody>
</table>
</fieldset>

</form>


{include file="$tplDirectory/footer.tpl"}
