{* $Id: genericTemplate.tpl 9758 2006-10-23 15:52:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/header.tpl"
	parentName=$parentName
	childName=$childName
	grandchildName=$grandchildName
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{if isset($childNameText) && $childNameText != ""}
	<p>{$childNameText|lmsg}</p>
{/if}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}


{if $genericType=="edit"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_SAVE_CHANGES"
		formAction=$SCRIPT_NAME
		actionName=$editResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="editobject"}

	{if $saved}
		{include
			file="$tplDirectory/widgets/showInvalidCustom.tpl"
			duration="4"
			message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

{elseif $genericType=="showdetails"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm="yes"
		suppressInputValidation="yes"
		submitLabel=""
		formAction=""
		actionName=""
		hiddenFields=""
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="add"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_ADD"
		formAction=$SCRIPT_NAME
		actionName=$addResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="remove"}


	{if $grandchildName}
	<fieldset>
		<legend>{translate key=$grandchildName}</legend>
	</fieldset>
	{/if}

	{if $headerMessage}
		<h1 style="text-align: center;">{$smarty.const.$headerMessage|default:$headerMessage}</h1>
		<br />
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="removeForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_YES"
		backLabel="TRANS_CANCEL"
		formAction=$SCRIPT_NAME
		actionName=$removeResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING
		autoEditTitleStyle="color:red;"
		}

{elseif $genericType=="show"}
	{if $showAddButton}
		<div style="text-align:right;"><div class="rm"><a href="{getHREF actionName=$addAction}&{$addArgs}">{"TRANS_ADD_NEW"|lmsg}</a></div></div>
	{/if}
	<fieldset>
	<legend>{translate key=$grandchildName}</legend>

	{include file="$tplDirectory/widgets/table/autoShowTable.tpl"
		rowActions=$rowActions
		tableFields=$showFields
		tableData=$showData
		queryArgs=$pagesArgs
		}
	</fieldset>
{else}

<fieldset>
<legend>{"TRANS_TEMPLATING_ERROR"|lmsg}</legend>
{"TRANS_TEMPLATE_NOT_FOUND_FOR"|lmsg} <strong>{$actionName}</strong>
</fieldset>

{/if}

{include file="$tplDirectory/footer.tpl"}


