{* $Id: sideMenuMajor_events.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the an action related to an event has been selected. It displays
 * blocks for both system events and the email queue.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_events.tpl.tpl"}
 *
 * Author: Vic Fryzel
 * Author: Brian Smith
 *}

<div>

{* events major side menu *}
<div class="lbox01">
	<div {if $sideNavMajor!="events"}class="lbox01m1"{else}class="lbox01m0"{/if} id="majorNavDivZag_events" onclick="toggleSubNav('events');">{"TRANS_EVENTS"|lmsg}</div>
	<div class="lbox01b" id="majorNavDiv_events" {if $sideNavMajor!="events"} style="display: none;"{/if}>
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><img src="{$imageDirectory}/ico/mnu_events.gif" width="16" height="16" alt="" title="" /> <span>{"TRANS_EVENTS"|lmsg}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
					{if $systemQueueRunning}
						<li><a href="{getHREF page="events.php" actionName="StopEvents"}"><img src="{$imageDirectory}/ico/mnu_events_stop.gif" width="16" height="16" alt="" title="" /> {"TRANS_STOP_EVENTS"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>

					{else}
						<li><a href="{getHREF page="events.php" actionName="RunEvents" args="$redirectArgs"}"><img src="{$imageDirectory}/ico/mnu_events_run.gif" width="16" height="16" alt="" title="" /> {"TRANS_RUN_EVENTS"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>

					{/if}
						<li><b><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_events_show.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {"TRANS_SHOW_EVENTS"|lmsg}</span>&raquo;</span><!--[if gt IE 6]><!--></a></b><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="eventStatuses" value="queue"|getStatuses}
								{foreach item="statusName" key="statusID" from=$eventStatuses}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueStatus=$statusID"}">&nbsp;{$statusName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>

						{if $registrars}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_events_filter.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {"TRANS_FILTER_BY"|lmsg} {"TRANS_REGISTRAR"|lmsg}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="registrarName" key="registrarID" from=$registrars}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="configGroupID=$registrarID"}">&nbsp;{$registrarName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}

						{if $panels}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_events_filter.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {"TRANS_FILTER_BY"|lmsg} {"TRANS_PANEL"|lmsg}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="panelName" key="panelID" from=$panels}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="configGroupID=$panelID"}">&nbsp;{$panelName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}

						{if $serverGroupList}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_events_filter.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {"TRANS_FILTER_BY"|lmsg} {"TRANS_SERVER_GROUP"|lmsg}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="serverGroupName" key="serverGroupID" from=$serverGroupList}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="serverGroupID=$serverGroupID"}">&nbsp;{$serverGroupName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}

						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_events_filter.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {"TRANS_FILTER_BY"|lmsg} {"TRANS_RECURRING"|lmsg}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueIsRecurring=1"}">&nbsp;{"TRANS_IS_RECURRING"|lmsg}</a></li>
								<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueIsRecurring=0"}">&nbsp;{"TRANS_IS_NOT_RECURRING"|lmsg}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="events.php" actionName="ShowEmailQueue"}"><img src="{$imageDirectory}/ico/mnu_events_emails.gif" width="16" height="16" alt="" title="" /> <span>{"TRANS_EMAILS"|lmsg}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="todos.php" actionName="ShowTodos"}"><img src="{$imageDirectory}/ico/mnu_events_todos.gif" width="16" height="16" alt="" title="" /> <span>{"TRANS_TODOS"|lmsg}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><b><a href="{getHREF page="todos.php" actionName="ShowTodos"}"><img src="{$imageDirectory}/ico/mnu_events_todos_manage.gif" width="16" height="16" alt="" title="" /> {"TRANS_MANAGE_TODOS"|lmsg}<!--[if gt IE 6]><!--></a></b><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>

						<li><a href="{getHREF page="todos.php" actionName="ShowAllTodos"}"><img src="{$imageDirectory}/ico/mnu_events_todos_show.gif" width="16" height="16" alt="" title="" /> {"TRANS_SHOW_ALL_TODOS"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>

						<li><a href="{getHREF page="todos.php" actionName="AddTodo"}"><img src="{$imageDirectory}/ico/mnu_events_todos_add.gif" width="16" height="16" alt="" title="" /> {"TRANS_ADD_NEW_TODOS"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li>
					<a href="{getHREF page="events.php" actionName="ShowDbgPageloads"}"><img src="{$imageDirectory}/ico/mnu_events_debug.gif" width="16" height="16" alt="" title="" /> <span>{"TRANS_DEBUG_LOG"|lmsg}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					{if $allowDebugLogging}
						<ul>
							<li><b><a href="{getHREF page="events.php" actionName="ShowDbgPageloads"}"><img src="{$imageDirectory}/ico/mnu_events_debug_show.gif" width="16" height="16" alt="" title="" /> {"TRANS_SHOW_DEBUG_LOG"|lmsg}<!--[if gt IE 6]><!--></a></b><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>

						{if $debugLogging}
							<li><a href="{getHREF page="events.php" actionName="EditDbgPageloadsSettingsResponse" args="debugToLog=0"}" style="text-transform:capitalize;"><img src="{$imageDirectory}/ico/mnu_events_debug_edit_resp.gif" width="16" height="16" alt="" title="" /> {"TRANS_STOP"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
						{else}
							<li><a href="{getHREF page="events.php" actionName="EditDbgPageloadsSettings"}"><img src="{$imageDirectory}/ico/mnu_events_debug_edit.gif" width="16" height="16" alt="" title="" /> {"TRANS_EDIT_DEBUG_SETTINGS"|lmsg}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
						{/if}
						</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
					{/if}
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>
