<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{translate key="TRANS_TEXTDIRECTION"}">

<head>
	<title>{translate key="TRANS_PLESK_BILLING"} .:. {$page_title}</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="{$skinDirectory}/css/billing.css" />
	<link rel="shortcut icon" href="{$imageDirectory}/logos/favicon.ico" />
</head>

<body id="mainLogin">

{include file="$commonTplDirectory/frameset/topFrame.tpl"}

<table width="100%" cellspacing="0" cellpadding="0" border="0" id="pageLayout"><tr><td id="screenWH">
<div class='titleWrapper'>
</div>
<div class="screenBody" id="login">
{if $redirectToPlesk}
	<div style="text-align: center;">
		{translate key="TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL"}<br />
		<input type="button" class="button" value="{"TRANS_CONTINUE_TO_PLESK"|lmsg}" onclick="document.location.href='https://{$serverName}:8443';">
	</div>
{else}
	{include file="$commonTplDirectory/login/MessageBox.tpl"}
	<div class="formArea">
		<form name="login" method="post" action="{$responseUrl}">

		<input type="hidden" name="relay_state" value="{$relayState}" />
		<input type="hidden" name="request_id" value="{$requestId}" />
		<input type="hidden" name="confirmed" value="1" />

		<table cellspacing="0" cellpadding="0" width="100%">
		<tr><td id="loginTitle">{$form_title}</td></tr>
		<tr><td id="loginForm">

			<p>{translate key="TRANS_LOGIN_TEXT"}</p>
			<p>{translate key="TRANS_IP_LOGGING_ENABLED"}: {$userIP}</p>

			<table class="formFields" cellspacing="0" width="100%">
			<tr>
				<td class="name"><label for="user_name">{translate key="TRANS_USERNAME"}</label></td>
				<td><input type="text" name="user_name" id="user_name" value="" size="25" maxlength="501" tabindex="1"></td>
			</tr>
			</table>
			<table class="formFields" cellspacing="0" width="100%">
			<tr>
				<td class="name"><label for="fid-user_password">{translate key="TRANS_PASSWORD"}</label></td>
				<td><INPUT maxlength="255" tabindex="2" name="user_password" id="fid-user_password" type="password" value="" size="25"></td>
			</tr>
			</table>
			<div class="formButtons">
				<table width="100%" cellspacing="0">
				<tr>
					<td class="main" id="get_password">
						<a href="{getHREF page="login.php" actionName="ShowForgottenPassword"}">{translate key="TRANS_FORGOT_YOUR_PASSWORD"}</a>
					</td>
					<td class="misc">
						<DIV class="commonButton" id="bid-login">
							<BUTTON name="bname_login" tabindex="3" id="buttonid-login" type="submit">{translate key="TRANS_LOGIN"}</BUTTON>
							<SPAN id="spanid-login">{translate key="TRANS_LOGIN"}</SPAN>
						</DIV>
					</td>
				</tr></table>
			</div>
		</td></tr>
		</table>
	</div>
{/if}
</div>
</td></tr></table>
</body>
</html>
