{strip}
{* $Id: displayOrderForm.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

<form method="post" name="productform" accept-charset="utf-8" action="processorder.php" id="productform">

<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{"TRANS_ORDERFORM_SELECT_PRODUCT"|lmsg}</h1></td>
		</tr>
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab08">
					{section name=i loop="$products"}
					<tbody>
					<tr class="{cycle values="alt1,alt2"}">
						<td><input name="productID" type="radio" value="{$products[i].productID}" onclick="{strip} {section name=iter loop=$products} 
		XKtoggleOff('row_{$products[iter].productID}'); {/section} XKtoggleOn('row_{$products[i].productID}'); {/strip}return false;" /> {$products[i].productName|constant}</td>
						<td>{$products[i].productComments|constant}</td>
					</tr>
					</tbody>
					<tbody id="row_{$products[i].productID}" class="off">
					<tr class="box010">
						<td colspan="2">
							<table>
								<tr>
									<td>{"TRANS_ORDERFORM_SELECT_CYCLE"|lmsg} <select name="cycleID{$products[i].productID}">
												{html_options options=$products[i].priceSelectMenu}
											</select>
									</td>
									<td>{if $domainNames}
										{else}
											<div style="display: none; visibility: hidden;">
										{/if}
										{"TRANS_ORDERFORM_SELECT_DOMAIN"|lmsg} <select name="domainName{$products[i].productID}">
												<option label="{"TRANS_NO_DOMAIN_NEEDED"|lmsg}" value="" selected="selected">{"TRANS_NO_DOMAIN_NEEDED"|lmsg}</option>
												{html_options options=$domainNames}
											</select>
										{if $domainNames}
										{else}
											</div>
										{/if}
									</td>
									<td>
									{if $showCouponField}
										{"TRANS_ORDERFORM_ENTER_COUPON"|lmsg} <input name="couponCode{$products[i].productID}" type="text" size="10" maxlength="255" />
									{else}
										<input type="hidden" value="" name="couponCode{$products[i].productID}" />
									{/if}
									</td>
									<td nowrap="nowrap">
										<div class="rm04">
											<a href="#" 
											onclick="addProduct('{$products[i].productID}',
											document.productform.cycleID{$products[i].productID}.options[document.productform.cycleID{$products[i].productID}.selectedIndex].value,
											document.productform.domainName{$products[i].productID}.options[document.productform.domainName{$products[i].productID}.selectedIndex].value,
											document.productform.couponCode{$products[i].productID}.value);">											
											<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{"TRANS_ORDERFORM_ADD_PRODUCT_TO_ORDER"|lmsg}</a>
										</div>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					</tbody>
					{/section}
					<tbody>
					<tr>
						<td><input name="productID" type="radio" value="0" checked="checked" onclick="{strip} {section name=iter loop=$products} 
		XKtoggleOff('row_{$products[iter].productID}'); {/section}{/strip}return false;" /> {"TRANS_NONE"|lmsg}</td>
						<td></td>
					</tr>
					</tbody>
				</table>
			</td>
		</tr>
</table>

<input name="sid" type="hidden" value="{$sid}" />
<input name="set_locale" type="hidden" value="{$set_locale}" />

{*These tempaltes below are either optionally displayed, or are updated seperately so we created seperate templates for them *}

<div id="yourOrder">
{include file="$tplDirectory/order/widgets/yourOrder.tpl"}
</div>


<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{"TRANS_ORDERFORM_WHO_ARE_YOU"|lmsg}</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="2" cellpadding="0">
				<tr>
					<td>
						<table border="0" cellspacing="2" cellpadding="0">
							<tr>
								<td><input name="customerType" type="radio" value="0" checked="checked" onclick="XKtoggleOn('newCustomerData'); XKtoggleOff('existing');" /></td>
								<td>{"TRANS_NEW_CUSTOMER"|lmsg}</td>
							</tr>
							<tr>
								<td><input name="customerType" type="radio" value="1" onclick="XKtoggleOff('newCustomerData'); XKtoggleOn('existing');" /></td>
								<td>{"TRANS_EXISTING_CUSTOMER"|lmsg}</td>
							</tr>
						</table>
					</td>
					<td>
						<table width="100%" border="0" cellspacing="2" cellpadding="0">
							<tbody id="existing" class="off">
								<tr class="w50">
									<td valign="top" class="td02">{"TRANS_ORDERFORM_USERNAME"|lmsg}<br /><input name="existcontactUsername" type="text" /></td>
									<td valign="top" class="td02">{"TRANS_ORDERFORM_PASSWORD"|lmsg}<br /><input name="existcontactPassword" type="password" /></td>
									<td valign="top">{"TRANS_ORDERFORM_CONFIRM_PASSWORD"|lmsg}<br /><input name="existConfirmcontactPassword" type="password" />
										</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<div id="newCustomerData">
	<div id="customerInfo">
	{include file="$tplDirectory/order/widgets/customerInfo.tpl"}
	</div>
	{if $getTLDWhoisData}
		<div id="domainContactInfo">
		{include file="$tplDirectory/order/widgets/domainContactInfo.tpl"}
		</div>
	{/if}
	
	<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{"TRANS_ADDITIONAL_INFORMATION"|lmsg}</h1></td>
		</tr>
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="2" cellpadding="0">
					<tr class="w230">
						<td valign="top" class="td02">{"TRANS_ORDERFORM_USERNAME"|lmsg}<br /><input name="contactUsername" onkeyup="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" type="text" /><br />
						{"TRANS_ORDERFORM_MIN_USERNAME"|lmsg} {$orderParams.usermin}<br />
						{"TRANS_ORDERFORM_MAX_USERNAME"|lmsg} {$orderParams.usermax}</td>
						<td valign="top" class="td02">{"TRANS_ORDERFORM_PASSWORD"|lmsg}<br /><input name="contactPassword" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" type="password" /><br />
						{"TRANS_ORDERFORM_MIN_PASSWORD"|lmsg} {$orderParams.passmin}<br />
						{"TRANS_ORDERFORM_MAX_PASSWORD"|lmsg} {$orderParams.passmax}</td>
						<td valign="top">{"TRANS_ORDERFORM_CONFIRM_PASSWORD"|lmsg}<br /><input name="confirmcontactPassword" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.contactPassword, document.getElementById('passwordstatus'));" type="password" /></td>
					</tr>
					<tr>
						<td><div id="usernamestatus">&nbsp;</div></td>
						<td colspan="2"><div id="passwordstatus">&nbsp;</div></td>
					</tr>
				</table>
				<br />
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td colspan="2">{"TRANS_COMMENTS"|lmsg}<br /><textarea name="clientNoteText" cols="110" rows="5"></textarea>&nbsp;</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
<table width="750"  border="0" cellspacing="5" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{"TRANS_ORDERFORM_FINALIZE"|lmsg}</h1></td>
	</tr>
	<tr>
		<td><div class="rm04" ><a style="cursor:pointer;" {literal} onmouseup='if (checkState(document.productform) && cango1==true && cango2==true) {document.productform.submit();}'>{/literal}<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{"TRANS_ORDERFORM_GOTO_CHECKOUT"|lmsg}</a></div></td>
	</tr>
</table>
</form>
{/strip}
