{* $Id: CheckoutLoader.tpl 9314 2006-10-05 17:05:03Z mgarrett $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}


<div align="center" class="box07">

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
{literal}
function processFinalCheckout(){
	document.checkoutForm.submit();
}
{/literal}
// ]]>
</script>

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_PROCESSING_ORDER"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: center;">
				<strong>{"TRANS_PLEASE_WAIT_WHILE_YOUR_ORDER_IS_PROCESSED"|lmsg}</strong><br />
				<img src="{$imageDirectory}/loadingdots.gif" width="188" height="25" hspace="20" vspace="20">

				<form name="checkoutForm" method="post" action="cart.php">
					<input type="hidden" name="sid" value="{$sid}" />
					<input type="hidden" name="action" value="{getActionID action="ProcessCartCheckout"}" />
                    <input type="hidden" name="passVar" value="{$passVar}" />
					<input type="hidden" name="termAgreement" value="{$termAgreement}" />
					<input type="hidden" name="awo" value="{$awo}" />
					<input type="hidden" name="awid" value="{$awid}" />
					<noscript>
					<br /><input type="submit" class="submit" value="{"TRANS_CLICK_HERE_TO_PROCESS_YOUR_ORDER"|lmsg}" />
					</noscript>
				</form>

				<script type="text/javascript" language="javascript" charset="utf-8">
				<!--
				setTimeout("processFinalCheckout();", 1000);
				//-->
				</script>

			</td>
		</tr>

	</table>

</div>
</div>
</div>

</div>
{include file="$tplDirectory/shopping/footer.tpl"}
