{* $Id: ShowCartCheckoutConfirmForm.tpl 12608 2008-02-05 21:12:47Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}


<div align="center" class="box07">

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
{literal}
function checkTermsAgree(){
	if (document.paymentForm.termAgreement.checked){
		return true;
	} else {
		alert("{/literal}{"TRANS_YOU_MUST_AGREE_TO_THE_TERMS"|lmsg|escape:javascript}{literal}");
		return false;
	}
}
{/literal}
// ]]>
</script>

<form method="post" action="cart.php" name="paymentForm" onsubmit="{if $skipTermsAndConditions!=true}return checkTermsAgree();{/if}">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ProcessCartCheckoutLoader"}" />
<input type="hidden" name="passVar" value="{$passVar}" />
{if $skipTermsAndConditions==true}
	<input type='hidden' name='termAgreement' value='1' />
{/if}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_ORDER_DETAILS"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table border="0" cellspacing="0" cellpadding="3" width="100%">
		<tr>
			<td style="text-align: right;">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td valign="top" style="text-align: left; margin-bottom: 3px;"><strong>{"TRANS_FROM"|lmsg}:</strong><br />
						{$company.company_name}<br />
						{if $company.company_address_1}
							{$company.company_address_1}<br />
						{/if}
						{if $company.company_address_2!=""}
							{$company.company_address_2}<br />
						{/if}
						{if $company.company_city!=""}
							{$company.company_city},
							{$company.company_state}
							{$company.company_zip}<br />
						{/if}
						{if $company.company_phone1}
						{$company.company_phone1} {if $company.company_phone2!=''}- {$company.company_phone2}{/if}
						{/if}
						{if $company.company_tax_id_number!=''}
						<br />{"TRANS_TAX_ID_NUMBER"|lmsg} {$company.company_tax_id_number}
						{/if}
					</td>
				</tr>
			</table>
			<input class="submit" type="submit" value="{"TRANS_PLACE_ORDER"|lmsg}" /></td>
		</tr>
	</table>


	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr class="alt1">
			<th colspan="2" align="left">{"TRANS_ITEM"|lmsg}</th>
			<th align="right">{"TRANS_PAYMENT_CYCLE"|lmsg}</th>
            <th align="right">{"TRANS_PRICE"|lmsg}</th>
			<th align="right">{"TRANS_DISCOUNT"|lmsg}</th>
			<th align="right">{"TRANS_SETUP"|lmsg}</th>
			<th align="right">{"TRANS_TAX"|lmsg}</th>
			<th align="right">{"TRANS_TOTALS"|lmsg}</th>
		</tr>

	{section name="i" loop=$invoice.packages}

		<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
			<td style="border-top: 1px solid #ccc;" valign="top" align="left" colspan="2"><strong>{$invoice.packages[i].packageName}</strong>
			{assign var="tpid" value=$invoice.packages[i].packageID}
			{if $packageDomains.$tpid AND $invoice.packages[i].packageType!=3}
				{foreach item="domainID" key="x" from=$packageDomains.$tpid}
					<br />&nbsp;&nbsp;{"TRANS_DOMAIN"|lmsg} {$domains.$domainID.domainSLD}.{$domains.$domainID.domainTLD}
					{if $invoice.packages[i].primaryDomainID==$domainID}
						({"TRANS_PRIMARY"|lmsg})
					{/if}
				{/foreach}

			{/if}
			</td>
			{assign var="tmpPrice" value=$invoice.packages[i].packagePrice+$invoice.packages[i].packageDiscountAmount}
            {assign var="cycleID" value=$invoice.packages[i].cycleID}
            <td style="border-top: 1px solid #ccc;" valign="top" align="right"><strong>{$cycleList[$cycleID]|lmsg}</strong></td>
			<td style="border-top: 1px solid #ccc;" valign="top" align="right"><strong>{$tmpPrice|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" valign="top" align="right"><strong>{$invoice.packages[i].packageDiscountAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" valign="top" align="right"><strong>{$invoice.packages[i].packageSetupAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc; border-right: 1px solid #ccc; padding-right: 5px;" valign="top" align="right"><strong>{$invoice.packages[i].packageTaxAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" valign="top" align="right"><strong>{$invoice.packages[i].packageTotalAmount|getAmount:$currencyID}</strong></td>
		</tr>
		{if $invoice.packages[i].taxZones AND $invoice.packages[i].taxZones.0 AND $invoice.packages[i].taxZones.0.amount}
			{assign var="firstTaxZone" value="1"}
			{section name="j" loop=$invoice.packages[i].taxZones}
				{if $invoice.packages[i].taxZones[j].amount>0}
		<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
			<td align="right">{if $firstTaxZone==1}{assign var="firstTaxZone" value="0"}{"TRANS_ITEM_TAXES"|lmsg} {/if}</td>
			<td align="left">{$invoice.packages[i].taxZones[j].tax_zone_description}</td>
			<td align="right">{if $invoice.packages[i].taxZones[j].tax_zone_amount_type==0}
					{$invoice.packages[i].taxZones[j].tax_zone_amount}%
					{else}
					{$invoice.packages[i].taxZones[j].tax_zone_amount|getAmount:$currencyID}
					{/if}</td>
			<td></td>
			<td></td>
			<td align="right" style=" border-right: 1px solid #ccc; padding-right: 5px;">{$invoice.packages[i].taxZones[j].amount|getAmount:$currencyID}</td>
			<td></td>
		</tr>
				{/if}
			{/section}
		{/if}

	{/section}

	</table>
<br />
	<table width="100%" cellpadding="4" cellspacing="0" border="0">
		<tr>
			<td align="left" valign="top" style="border-top: 2px solid #ccc;">
				<table align="left" cellpadding="4" cellspacing="0" border="0" >
					<tr>
						<td style="padding: 2px; font-size: 11pt;">{"TRANS_MINIMAL_CONTRACT_TERM"|lmsg}: </td>
						<td style="padding: 2px; font-size: 11pt;"> {$longest_cycle_name}</td>
					</tr>
				</table>
			</td>
			<td align="right" style="border-top: 2px solid #ccc;">
				<table align="right" cellpadding="4" cellspacing="0" border="0">
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_SUB_TOTAL"|lmsg}</td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceSubTotalAmount|getAmount:$currencyID}</td>
					</tr>
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_TAX"|lmsg} </td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceTax|getAmount:$currencyID}</td>
					</tr>
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_ORDER_TOTAL"|lmsg} </td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"><strong>{$invoice.invoiceTotalAmount|getAmount:$currencyID}</strong></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</div>
</div>

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_CONFIRM_CHECKOUT"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table border="0" cellspacing="0" cellpadding="3" width="100%">
		<tr>
			<td style="text-align: right;">

			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				{if $skipTermsAndConditions!=true}
				<tr>
					<td colspan="2" valign="top" style="text-align: center;">
						<div style="margin-bottom: 3px;">
						{if $termAgreement}
							<div class="formFieldHighlight">{"TRANS_YOU_MUST_AGREE_TO_THE_TERMS"|lmsg}</div>
						{/if}
						<span style="border:1px solid red;"><input type="checkbox" value="1" name="termAgreement" /></span>
						&nbsp;
						<a href="{if $checkoutFormInfo.useTermsUrl==1}{$paymentOptions.termsURL}{else}{getHREF page="cart.php" actionName="ShowOrderFormTermsText" args="storeID=$store_id"}{/if}" id="terms" name="terms" title="Terms and Conditions URL" target="_blank">
							{"TRANS_ORDERFORM_READ_TERMS"|lmsg}
						</a>
						</div>
					</td>
				</tr>
				{/if}
				<tr>
					<td valign="top" class="td07" style="text-align: left; margin-bottom: 3px;"><h2>{"TRANS_ORDERFORM_VERIFY_FOLLOWING"|lmsg}</h2>
					<ul>
						<li>{"TRANS_ORDERFORM_NECESSARY_INFO"|lmsg}</li>
						<li>{"TRANS_ORDERFORM_ERROR_FREE"|lmsg}</li>
						<li>{"TRANS_ORDERFORM_FRAUD_FREE"|lmsg}</li>
					</ul>

					</td>
					<td valign="top" class="td07" style="text-align: left; margin-bottom: 3px;"><h2>{"TRANS_ORDERFORM_FRAUD_INFO_RECORDED"|lmsg}</h2>
						<ul>
							<li>{"TRANS_ORDERFORM_FRAUD_IP_ADDRESS"|lmsg} {$ip}</li>
							<li>{"TRANS_ORDERFORM_SUMBIT_TIME"|lmsg}</li>
						</ul>
					</td>
				</tr>
			</table>
			<input class="submit" type="submit" value="{"TRANS_PLACE_ORDER"|lmsg}" /></td>
		</tr>
	</table>
</div>
</div>
</div>
</form>
</div>
{include file="$tplDirectory/shopping/footer.tpl"}
