
{include file="$tplDirectory/shopping/header.tpl"}

<style>
{literal}
#transferDomainContainer {margin-left:15px;}
#transferDomainContainer div:after {content: "."; display: block; height:11px; clear:both; visibility:hidden;}
#transferDomainContainer div {width:400px; height:auto; font-family:verdana; font-size:11px;}
b.tl {display:block; width:400px; height:8px; font-size:1px;}
b.tr {display:block; width:392px; height:8px; font-size:1px; float:right;}
b.bl {display:block; width:8px; height:8px; font-size:1px; float:left;}
b.br {display:block; width:392px; height:8px; font-size:1px; float:right; position:relative;}
b.point {display:block; font-size:1px; width:25px; height:14px;}
#transferDomainContainer div p {margin:0;}
div.one b.tl {background:url({/literal}{$imageDirectory}{literal}/bubbles/top_left3.gif) top left no-repeat;}
div.one b.tr {background:url({/literal}{$imageDirectory}{literal}/bubbles/top_right3.gif) top right no-repeat;}
div.one p {background:#c9d7ec;}
div.one b.bl {background:url({/literal}{$imageDirectory}{literal}/bubbles/bottom_left3.gif) top left no-repeat;}
div.one b.br {background:url({/literal}{$imageDirectory}{literal}/bubbles/bottom_right3.gif) top right no-repeat;}
div.one b.point {background:url({/literal}{$imageDirectory}{literal}/bubbles/point3up.gif) top left no-repeat; margin:-11px 0 0 25px;}
p.italic {margin:0 0 20px 0; font-weight:bold; font-style:italic;}
ul.list li {font-size:11px; margin:2px 0;}
#transferDomainBubbleContent {background:#c9d7ec; padding:8px; border:3px solid #fff; border-width:0 3px; text-align:justify;}
{/literal}
</style>

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
{literal}

function showCSRGenerator()
{
	$('csr-upl-form').hide();
	$('csr-gen-form').show();
}

function showCSRUploader()
{
	$('csr-gen-form').hide();
	$('csr-upl-form').show();
}

function formSubmit(form)
{
{/literal}
	msg = '{"AGREE_TO_USE_CONTACT_FOR_SSL_CONFIRM"|lmsg|escape:javascript}';
{literal}
	if (!form.confirm.checked) {
		alert(msg);
		return false;
	}
	form.submit();
}

{/literal}
// ]]>
</script>

<div align="center" class="box07" id="cartContainer">

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{"TRANS_ORDER_PRODUCT"|lmsg}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

<form method="post" action="{$cartURL}" id="form1" name="multiDomainWhoisMaster">

	<input type="hidden" name="orderFormID" value="{$orderFormID}" />
	<input type="hidden" name="action" value="{getActionID action=$nextActionName}" />
	<input type="hidden" name="productID" value="{$product.productID}" />
	<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />
	<input type="hidden" name="cycleID" value="{$product.cycleID}" />
	<input type="hidden" name="addType" value="certificate" />

	<table width="100%" border="0" cellpadding="2" cellspacing="2" class="tab01">

		{assign var="prices" value=$product.prices.$currencyID}
		<tr class="{cycle values="alt1,alt2"}">
			<td valign="top" width="50%">
				<h3>{$product.productName|constant}</h3>
				{if $product.productComments}
					<br />
					{$product.productComments|constant}
				{/if}
			</td>
			<td valign="top" width="50%">
				<table width="100%" class="tab04">
				{section name=j loop=$prices}
					{if $cycleID==$prices[j].0.cycleID && $productVariantID==$prices[j].0.productVariantID}
						{assign var="variantID" value=$prices[j].0.productVariantID}
						{if $prices[j].0.discountPrice}
							<tr>
								<td align="right">{"TRANS_ORIGINAL_PRICE"|lmsg} </td>
								<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {"TRANS_SETUP_PRICE_OPTION"|lmsg}
									{/if}</td>
							</tr>
							<tr>
								<td align="right">{"TRANS_INSTANT_SAVINGS"|lmsg} </td>
								<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
							</tr>
							<tr>
								<td align="right"><strong>{"TRANS_SALE_PRICE"|lmsg} </strong></td>
								<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {"TRANS_SETUP_PRICE_OPTION"|lmsg}
									{/if}</strong></td>
							</tr>
						{else}
							<tr>
								<td align="right">{"TRANS_PRICE"|lmsg} </td>
								<td align="right"><strong>{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {"TRANS_SETUP_PRICE_OPTION"|lmsg}
									{/if}</strong></td>
							</tr>
						{/if}

					{/if}

				{/section}
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">

				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
					<tr>
						<td class="box09"><h1>{"CREATE_CSR"|lmsg}</h1></td>
					</tr>
					<tr>
						<td>
							<table>
								<tr>
									<td>{"WEB_SERVER_TYPE"|lmsg}</td>
									<td>{$webServerType}</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td align="left">
							<div>
								<input type="radio" id="csr-gen-radio" name="creationmethod" onclick="showCSRGenerator();" value="generation" CHECKED/>
								<label for="csr-gen-radio">{"GENERATE_NEW_CSR"|lmsg}</label>
								<input type="radio" id="csr-upl-radio" name="creationmethod" onclick="showCSRUploader();" value="upload" />
								<label for="csr-upl-radio">{"UPLOAD_EXISTING_CSR"|lmsg}</label>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div id="csr-gen-form" style="margin-top: 10px;">
								<table>

									<tr>
										<td><label for="countryName">{"TRANS_COUNTRY"|lmsg}</label></td>
										<td>
											<input name="countryName" id="countryName" type="text" value="{$csr.countryName}">
										</td>
									</tr>
									<tr>
										<td><label for="stateOrProvinceName">{"TRANS_STATE_OR_PROVINCE"|lmsg}</label></td>
										<td><input name="stateOrProvinceName" id="stateOrProvinceName" type="text" value="{$csr.stateOrProvinceName}"></td>
									</tr>
									<tr>
										<td><label for="localityName">{"TRANS_LOCALITY"|lmsg}</label></td>
										<td><input name="localityName" id="localityName" type="text" value="{$csr.localityName}"></td>
									</tr>
									<tr>
										<td><label for="organizationName">{"TRANS_ORGANIZATION"|lmsg}</td>
										<td><input name="organizationName" id="organizationName" type="text" value="{$csr.organizationName}"></td>
									</tr>
									<tr>
										<td><label for="organizationalUnitName">{"TRANS_ORGANIZATION_UNIT"|lmsg}</label></td>
										<td><input name="organizationalUnitName" id="organizationalUnitName" type="text" value="{$csr.organizationalUnitName}"></td>
									</tr>
									<tr>
										<td><label for="commonName">{"TRANS_COMMON_NAME"|lmsg}</td>
										<td><input name="commonName" id="commonName" type="text" value="{$csr.commonName}"></td>
									</tr>
									<tr>
										<td><label for="emailAddress">{"TRANS_EMAIL_ADDRESS_OPTION"|lmsg}</td>
										<td><input name="emailAddress" id="emailAddress" type="text" value="{$csr.emailAddress}"></td>
									</tr>
								</table>
							</div>
							<div id="csr-upl-form" style="display: none; margin-top: 10px;">
								<table>
									<tr>
										<td>{"ENTER_CSR_TEXT"|lmsg}</td>
										<td><textarea name="csr" rows="19" cols="50">{$csr.csr}</textarea></td>
									</tr>
								</table>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<input type="checkbox" name="confirm" id="confirm">
							<label for="confirm">{"AGREE_TO_USE_CONTACT_FOR_SSL"|lmsg}</label>
						</td>
					</tr>
				</table>

				<div align="right">
					<input class="button" type="button" onclick="formSubmit(this.form);" value="{"TRANS_CONTINUE"|lmsg}" />
				</div>
			</td>
		</tr>
	</table>
</form>


</div>
</div>
</div>

</div>

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
{literal}

if ('' != form1.csr.value) {
	showCSRUploader();
	form1['csr-upl-radio'].checked = 1;
}

{/literal}
// ]]>
</script>

{include file="$tplDirectory/shopping/footer.tpl"}
