<?php

if (! isset($_REQUEST["number"]))
	die("No Crash Report's number found.");

require_once(dirname(__FILE__)."/path.php");

define("DISABLE_CUSTOM_ERR_HANDLERS", true);
define("INTERNAL_ADMIN", "order");
define("ACCESS_TYPE", NON_LOGIN_APP);

require_once(mb_path("/lib-tk/include/common.php"));

if (! getCurrentSession()->checkAuth())
	die("No session found.");

$out = NULL;

require_once("objects/CrashReport.php");
try
{
	$crash = new CrashReport($_REQUEST["number"], "number");
	$out = $crash->content;
}
catch (ProductException $e)
{
	$out = $e->getMessage();
}

echo "<PRE>${out}</PRE>";
