<?php
require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once ("lib-action/action.php");

class ShowOrderFormTermsText extends MB_Action
{

	public function execute() {
		parent::execute();
		if (is_null($store_id = bgpc("storeID"))){
			throw new Exception("Missing parameter 'storeID'");
		}

		$order_form = Factory()->OrderForm($store_id);
		require_once("object_managers/OrderFormManager.php");
		$this->smartyVars["terms_text"] = OrderFormManager::getTermsText($order_form);
		$this->smartyVars["store_id"] = $store_id;
		$this->addTemplate("shopping/ShowOrderFormTermsText");
		return $this->hasExecutedSuccessfully();
	}
}
