<?php

$arg2param = array(
	"widgetID" => "wwid",
	"storeID" => "storeID",
	"widgetTemplate" => "widgetTemplate",
	"whoisWidget" => "whoisWidget",
	"multiDomain" => "multiDomain",
);

switch ( $websiteWidgetArgs["method"] )
{
	case "local":
		foreach ( $arg2param as $arg => $param ) {
			$_REQUEST[$param] = isset($websiteWidgetArgs[$arg]) ? $websiteWidgetArgs[$arg] : null;
		}
		if ( file_exists($websiteWidgetArgs['urlORpath']."/website_widget.php") ) {
			include($websiteWidgetArgs['urlORpath']."/website_widget.php");
		} else {
			echo "Include path error, cannot find file.<br />(".$websiteWidgetArgs['urlORpath']."website_widget.php)";
		}
		break;
	case "fopen":
		$url_params = array();
		foreach ( $arg2param as $arg => $param ) {
			if ( isset($websiteWidgetArgs[$arg]) ) {
				$url_params[$param] = $websiteWidgetArgs[$arg];
			}
		}
		if ( isset($_REQUEST["sid"]) ) {
			$url_params["sid"] = $_REQUEST["sid"];
		}
		$url = $websiteWidgetArgs['urlORpath']."/website_widget.php?".http_build_query($url_params);

		$fp = @fopen($url, "r");
		if (!$fp){
			echo "Connection error or invalid URL.<br />URL: $url";
		} else {
			$content = "";
			while (!@feof($fp)){
				$content .= @fread($fp, 4096);
			}
			@fclose($fp);
			if ($content==""){
				echo "URL contained no data.<br />URL: $url";
			} else {
				echo $content;
			}
		}
		break;
	default:
		echo "Unknown method '{$websiteWidgetArgs['method']}'";
}
